PHP5.3.6をインストール

PHPをインストールします。

PHP5.3系のためにリポジトリを更新を行っている前提として記述します。

$ su

# yum --enablerepo=remi,epel install php

Is this ok [y/N]:
上記の表記がでて止まりますので、バージョンを確認します。
5.3.6-1.el5.remi (2011/04/01現在)

問題なければ、y を入力して [enter]します。

Is this ok [y/N]: y

途中で止まりますので y を押して続けます。

Is this ok [y/N]: y

続けて、モジュールをインストールします。
他にも必要なものがあれば、お好みで増やしてください。
※ 下記はスペースの都合で複数行になっていますが、続けて1行で指定します。

# yum --enablerepo=remi,epel install php-mysql php-mbstring php-xml php-cli php-common php-devel php-gd php-mcrypt php-pdo php-eaccelerator

途中で止まりますので y を押して続けます。

Is this ok [y/N]: y

インストールが終われば、バージョンを確認します。

$ php -v

PHPをインストールするだけでは反映されません。

apache(httpd)を起動(再起動)します。

# /etc/init.d/httpd restart

広告